/**
 * Sidebar.css
 * This file defines look of elements that are only related to the Sidebar and its content. The
 * Interaction between the sidebar and main container, is dode at the mainContainer.css file.
 */
/**
 * Global
 */ 
.sidebar {
   display:block;
   position:fixed;
   overflow-y:auto;
   color:#ffffff;
}
.sidebar-items {
   display:block;
   position:relative;
   left: 0px;
   top:0px;
   width:100%;
   height:auto;
   margin-bottom:200px;
}
.sidebar-items .container {
   width: 100%;
   margin-left: 0px;
}
.sidebar-toggable-list-item,
.sidebar-toggable-list-item.small-title {
   overflow-y:hidden;

   animation-name: shrink-list-items;
   animation-duration: 250ms;
   animation-fill-mode: forwards;

   -webkit-animation-name: shrink-list-items;
   -webkit-animation-duration: 250ms;
   -webkit-animation-fill-mode: forwards;

   -moz-animation-name: shrink-list-items;
   -moz-animation-duration: 250ms;
   -moz-animation-fill-mode: forwards;
 
   -ms-animation-name: shrink-list-items;
   -ms-animation-duration: 250ms;
   -ms-animation-fill-mode: forwards;
}
.sidebar-toggable-list-item {
   height:60px;
   min-height:60px;
}
.sidebar-toggable-list-item.small-title {
   height:25px;
   min-height:25px;
}
.sidebar-toggable-list-item.expanded {
   height:25px;
   overflow-y:auto;
   
   animation-name: expand-list-items;
   animation-duration: 500ms;
   animation-fill-mode: forwards;

   -webkit-animation-name: expand-list-items;
   -webkit-animation-duration: 500ms;
   -webkit-animation-fill-mode: forwards;

   -moz-animation-name: expand-list-items;
   -moz-animation-duration: 500ms;
   -moz-animation-fill-mode: forwards;
 
   -ms-animation-name: expand-list-items;
   -ms-animation-duration: 500ms;
   -ms-animation-fill-mode: forwards;
}
.sidebar-toggable-list-item.expanded .sub-items-contaner {
   position: relative;
   width: 100%;
   height:75%;
   overflow-y: auto;
}
.sidebar-toggable-list-item img,
.sidebar-toggable-list-item.small-title img {
   display:block;
   position:relative;
   left:0px;
   top:0px;
   width:32px;
   height:auto;
   margin-top:10px;
}
.icon-show-list {
   position: relative;
   top: 0px;
   left: 15px;
   font-size: 18px;
   text-align: center;
   vertical-align: middle;
}

@media(max-width:767px){
  
  .sidebar {
    position:relative;
    top: 60px;
    padding-left: 10px;
  }

  .sidebar-items {
    margin-bottom: 80px;
  }

}

/**
 * Shrink list items animation
 */
@keyframes shrink-list-items {
   from {
      height:150px;
   }
   to {
      height:25px;
   }
}

@-moz-keyframes shrink-list-items {
   from {
      height:150px;
   }
   to {
      height:25px;
   }
}
@-webkit-keyframes shrink-list-items {
   from {
      height:150px;
   }
   to {
      height:25px;
   }
}

/**
 * Expand list items animation
 */
@keyframes expand-list-items {
   from {
      height:25px;
   }
   to {
      height:150px;
   }
}
@-moz-keyframes expand-list-items {
   from {
      height:25px;
   }
   to {
      height:150px;
   }
}
@-webkit-keyframes expand-list-items {
   from {
      height:25px;
   }
   to {
      height:150px;
   }
}

/**
 * Title, Subtitle & Summary
 */
.title, .sub-title, .sidebar-summary div label {
   margin-right: 15px;
   text-rendering: optimizeLegibility;
   font-feature-settings: "kern" 1;
   
   -webkit-font-feature-settings: "kern";
   -moz-font-feature-settings: "kern";
   -moz-font-feature-settings: "kern=1";
   font-kerning: normal;
}
.title {
   margin-top:15px;
   font-weight: 900;
   font-style: normal;
   font-size: 36px;
   color: #ffffff;
}
.sub-title {
   margin-top:15px;
   margin-bottom: 5px;
   line-height: 1.3;
   word-wrap: break-word;
   font-family: 'helvetica75', 'helvetica' !important;
   font-weight: 700;
   font-style: normal;
   font-size: 18px;
   color: #FFFFFF;
}
.sidebar-summary div label, .sidebar-summary div ul {
   font-family: 'helvetica' !important;
   font-weight: 400;
   font-style: normal;
   font-size: 12px;
   color: #FFFFFF;
   cursor:pointer;
}
.sidebar-summary div ul {
   margin-left: 20px;
   padding-left: 0px;
   line-height: 1.5;
}

/**
 * Main list items
 */
.sidebar-main-items {
   margin-top:15px;
}
.sidebar-main-items div label,
.sidebar-main-items ul {
   margin-left: 0px;
   padding-left: 0px;
   list-style-type: none;
}
.sidebar-main-items ul li {
   margin-top:10px;
}
.sidebar-main-items ul li .sidebar-toggable-list-item {
   margin-top:10px;
   width:100px;
   overflow-y: visible;
}
.sidebar-main-items .sidebar-toggable-list-item ul {
   margin-left: 20px;
   line-height: 0.8;
}
.sidebar-main-items p {
  text-decoration: none;     
  font-family: roboto-regular!important;     
  font-weight: 700;     
  font-style: normal;     
  font-size: 10px;     
  line-height: 1.2;     
  text-transform: uppercase;     
  margin-top: 5px;     
  margin-left: 3px;     
  color: #fafafa;     
  opacity: .7;
}
.sidebar-main-items div label {
   text-decoration: none;
   font-family: 'arialregular' !important;
   font-weight: 400;
   font-style: normal;
   font-size: 18px;
   color: #FFFFFF;
}
.sidebar-main-items ul li ul li p {
   font-size: 15px;
}
.sidebar-main-items div label.selected, 
.sidebar-main-items p.selected {
   font-size: 10px;
   font-weight: 600;
}
.sidebar-main-items div label.selected, 
.sidebar-main-items p.selected,
.sidebar-main-items div label:hover, 
.sidebar-main-items p:hover {
   color: #ffffff !important;
   opacity: 1;
}
.sidebar-main-items ul li .sidebar-toggable-list-item .menu-item img {
   display: block;
   margin: auto;
}

/**
 * Background
 */
.component-main-container .sidebar-container.minified {
  z-index: 1;
}
.sidebar-container .sidebar-bg,
.sidebar-container .blueish-filter, 
.sidebar-container .sidebar {
   left: -5px !important;
}
.sidebar-container .sidebar-bg, 
.sidebar-container .blueish-filter {
   display: block;
   position: fixed;
   top: 0px;
   left: 0px;
   width: 25%;
   height: calc(var(--vh, 1vh) * 100);
}
.sidebar-unit-1 {
   opacity:1;
   background-color: #d28d44;
}
.sidebar-unit-2 {
   opacity:1;
   background-color: #c74243;
}
.sidebar-unit-3 {
   opacity:1;
   background-color: #004466;
}
.sidebar-unit-progress {
   opacity:1;
   background-color: #8478DC;
}

/**
 * Menu itens
 */
.unit-1 .sidebar-main-items,
.unit-2 .sidebar-main-items,
.unit-3 .sidebar-main-items,
.unit-4 .sidebar-main-items {
   cursor:pointer;
}
.unit-1 .sidebar-main-items p:hover,
.unit-2 .sidebar-main-items p:hover,
.unit-3 .sidebar-main-items p:hover,
.unit-4 .sidebar-main-items p:hover,
.unit-progress .sidebar-main-items p:hover {
   -webkit-transition: color 200ms linear;
   -ms-transition: color 200ms linear;
   transition: color 200ms linear;
}

@media (min-width : 767px) and (max-width : 1024px) {
  
  .cmc-container .page-title {
    margin-left: -26px;
    margin-top: -72px;
  }

}

@media (max-width: 992px) {

   .sidebar.minified {
      position:fixed;
   }

}

@media (max-width: 767px) {

  .cmc-container .page-title {
      margin-left: -5px;
      margin-top: -110px;
  }

}

/**
 * Selectable item on the sidebar menu
 */
.menu-item .img-selector {
  position: relative;
  left: 0px;
  top: -90px;
  width: 85px;
  height: 50px;
}

/**
 * Minified sidebar
 */
.sidebar.minified .sidebar-main-items {
  margin-top: -50px;
}
.sidebar.minified .sidebar-main-items ul li {
  margin-left: -10px;
  margin-bottom: 40px;
  height: auto;
}
.sidebar.minified .sidebar-main-items ul li .sidebar-toggable-list-item {
  display:block;
  width:80px;
  text-align: center;
}
.sidebar.minified .sidebar-main-items ul li .sidebar-toggable-list-item .menu-item object,
.sidebar.minified .sidebar-main-items ul li .sidebar-toggable-list-item .menu-item img {
  width: 32px;
  opacity:0.4;
}
.sidebar.minified .sidebar-main-items ul li .sidebar-toggable-list-item:hover .menu-item object, 
.sidebar.minified .sidebar-main-items ul li .sidebar-toggable-list-item:hover .menu-item img {
  width: 32px;
  opacity:0.7;

  animation-name: bounceHorizontally;
  animation-duration: 0.3s;
  animation-fill-mode: forwards;
    
  -webkit-animation-name: bounceHorizontally;
  -webkit-animation-duration: 0.3s;
  -webkit-animation-fill-mode: forwards;

  -ms-animation-name: bounceHorizontally;
  -ms-animation-duration: 0.3s;
  -ms-animation-fill-mode: forwards;

  -moz-animation-name: bounceHorizontally;
  -moz-animation-duration: 0.3s;
  -moz-animation-fill-mode: forwards;

  -webkit-backface-visibility: visible !important;
  backface-visibility: visible !important;
}
.sidebar.minified .sidebar-main-items ul li .sidebar-toggable-list-item .menu-item img.flip,
.sidebar.minified .sidebar-main-items ul li .sidebar-toggable-list-item .menu-item object.flip {
  width: 32px;
  opacity:1;

  animation-name: flipHorizontally;
  animation-duration: 0.75s;
  animation-fill-mode: forwards;
    
  -webkit-animation-name: flipHorizontally;
  -webkit-animation-duration: 0.75s;
  -webkit-animation-fill-mode: forwards;

  -ms-animation-name: flipHorizontally;
  -ms-animation-duration: 0.75s;
  -ms-animation-fill-mode: forwards;

  -moz-animation-name: flipHorizontally;
  -moz-animation-duration: 0.75s;
  -moz-animation-fill-mode: forwards;

  -webkit-backface-visibility: visible !important;
  backface-visibility: visible !important;
}
.sidebar.minified .sidebar-main-items ul li .sidebar-toggable-list-item.selected .menu-item img,
.sidebar.minified .sidebar-main-items ul li .sidebar-toggable-list-item.selected .menu-item object,
.sidebar.minified .sidebar-main-items ul li .sidebar-toggable-list-item.selected .menu-item p,
.sidebar.minified .sidebar-main-items ul li .sidebar-toggable-list-item:hover .menu-item p {
  opacity:1;
  color:#ffffff !important;
}

/**
 * Bounce the animated object horizontlly on the X axis
 */
 @keyframes bounceHorizontally {
  from {
    -webkit-transform: perspective(32px);
    transform: perspective(32px);
    width: 32px;
    opacity:0.7;
  }
  33% {
    -webkit-transform: perspective(32px) rotate3d(0, 1, 0, -60deg);
    transform: perspective(32px) rotate3d(0, 1, 0, -60deg);
    width: 36px;
    opacity:1;
  }
  66% {
    -webkit-transform: perspective(32px) rotate3d(0, 1, 0, 60deg);
    transform: perspective(32px) rotate3d(0, 1, 0, 60deg);
    width: 36px;
    opacity:1;
  }
  to {
    -webkit-transform: perspective(32px) rotate3d(0, 1, 0, 0deg);
    transform: perspective(32px) rotate3d(0, 1, 0, 0deg);
    width: 32px;
    opacity:1;
  }
}
@-moz-keyframes bounceHorizontally {
  from {
    -webkit-transform: perspective(32px);
    transform: perspective(32px);
    width: 32px;
    opacity:0.7;
  }
  33% {
    -webkit-transform: perspective(32px) rotate3d(0, 1, 0, -60deg);
    transform: perspective(32px) rotate3d(0, 1, 0, -60deg);
    width: 36px;
    opacity:1;
  }
  66% {
    -webkit-transform: perspective(32px) rotate3d(0, 1, 0, 60deg);
    transform: perspective(32px) rotate3d(0, 1, 0, 60deg);
    width: 36px;
    opacity:1;
  }
  to {
    -webkit-transform: perspective(32px) rotate3d(0, 1, 0, 0deg);
    transform: perspective(32px) rotate3d(0, 1, 0, 0deg);
    width: 32px;
    opacity:1;
  }
}
@-webkit-keyframes bounceHorizontally {
  from {
    -webkit-transform: perspective(32px);
    transform: perspective(32px);
    width: 32px;
    opacity:0.7;
  }
  33% {
    -webkit-transform: perspective(32px) rotate3d(0, 1, 0, -60deg);
    transform: perspective(32px) rotate3d(0, 1, 0, -60deg);
    width: 36px;
    opacity:1;
  }
  66% {
    -webkit-transform: perspective(32px) rotate3d(0, 1, 0, 60deg);
    transform: perspective(32px) rotate3d(0, 1, 0, 60deg);
    width: 36px;
    opacity:1;
  }
  to {
    -webkit-transform: perspective(32px) rotate3d(0, 1, 0, 0deg);
    transform: perspective(32px) rotate3d(0, 1, 0, 0deg);
    width: 32px;
    opacity:1;
  }
}

/**
 * Flip the animated object 360 degrees on the X axis
 */
@keyframes flipHorizontally {
  from {
    -webkit-transform: perspective(32px);
    transform: perspective(32px);
    width: 32px;
    height: auto;
    opacity:0.7;
  }
  30% {
    -webkit-transform: perspective(32px) rotate3d(0, 1, 0, -10deg);
    transform: perspective(32px) rotate3d(0, 1, 0, -10deg);
    width: 35px;
    height: 50px;
    opacity:0.85;
  }
  to {
    -webkit-transform: perspective(32px) rotate3d(0, 1, 0, 360deg);
    transform: perspective(32px) rotate3d(0, 1, 0, 360deg);
    width: 32px;
    height: 50px;
    opacity:1;
  }
}
@-moz-keyframes flipHorizontally {
  from {
    -webkit-transform: perspective(32px);
    transform: perspective(32px);
    width: 32px;
    height: auto;
    opacity:0.7;
  }
  30% {
    -webkit-transform: perspective(32px) rotate3d(0, 1, 0, -10deg);
    transform: perspective(32px) rotate3d(0, 1, 0, -10deg);
    width: 35px;
    height: 50px;
    opacity:0.85;
  }
  to {
    -webkit-transform: perspective(32px) rotate3d(0, 1, 0, 360deg);
    transform: perspective(32px) rotate3d(0, 1, 0, 360deg);
    width: 32px;
    height: 50px;
    opacity:1;
  }
}
@-webkit-keyframes flipHorizontally {
  from {
    -webkit-transform: perspective(32px);
    transform: perspective(32px);
    width: 32px;
    height: auto;
    opacity:0.7;
  }
  30% {
    -webkit-transform: perspective(32px) rotate3d(0, 1, 0, -10deg);
    transform: perspective(32px) rotate3d(0, 1, 0, -10deg);
    width: 35px;
    height: 50px;
    opacity:0.85;
  }
  to {
    -webkit-transform: perspective(32px) rotate3d(0, 1, 0, 360deg);
    transform: perspective(32px) rotate3d(0, 1, 0, 360deg);
    width: 32px;
    height: 50px;
    opacity:1;
  }
}

@media (max-width:992px) {

   .component-main-container .sidebar-container.minified {
      position: fixed;
   }
   .sidebar.minified .sidebar-main-items ul li {
      margin-left: 0px;
    }

}

@media(max-width:767px) {

   .sidebar-container .blueish-filter, 
   .sidebar-container .sidebar {
      left: 0px !important;
   }
   .sidebar-container .sidebar-bg,
   .sidebar-items .container {
      left: -5px!important;
   }

   .sidebar-main-items {
      overflow-y: auto;
      overflow-x: hidden;
   }
   .sidebar-main-items ul {
      margin-left:-5px;
   }
   .sidebar-main-items div label.selected, 
   .sidebar-main-items p.selected {
      font-size: 9px;
   }

   .sidebar.minified {
      top: 50px;
   }
   .sidebar.minified .sidebar-main-items {
      max-height: calc(var(--vh, 1vh) * 75);
      margin-top: -30px;
      margin-bottom: 60px;
      padding-bottom: 30px;
   }
   .sidebar.minified .sidebar-main-items ul li {
      margin-top: 0;
      margin-bottom: 30px;
   }

}